extends Scene


func _on_beach_interacted() -> void:
	$kq4_001_beach.default_script(self)


func _on_back_of_fishermans_shack_interacted() -> void:
	$kq4_008_back_of_fishermans_shack.default_script(self)


func _on_beach_2_interacted() -> void:
	$kq4_013_beach.default_script(self)


func _on_fishermans_shack_inside_interacted() -> void:
	$kq4_042_fishermans_shack_inside.default_script(self)


func _on_fishermans_house_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("It's a small, shabby shack.")
	).build(self, "_on_script_complete"))


func _on_door_interacted() -> void:
	$kq4_042_fishermans_shack_inside.default_script(self)


func _on_window_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You peek through the window, but can make out no details.")
	).build(self, "_on_script_complete"))


func _on_pier_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("The old, worn pier juts out into the ocean from the weather-beaten house.")
	).build(self, "_on_script_complete"))


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You stand at the fisherman's shack.")
	).build(self, "_on_script_complete"))
